﻿using System.Collections;
using System.Collections.Generic;
using System.Linq;
using UnityEngine;

public class Exit : MonoBehaviour
{
    public float fadeOutDuration;
    public LevelProgression levelProgression;
    public AudioSource exitAudioSource;

    void OnTriggerEnter2D(Collider2D other)
    {
        var projectile = other.GetComponent<Projectile>();
        if (projectile)
        {
            CameraFade.StartFade(1.0f, fadeOutDuration);
            exitAudioSource.Play();

            StartCoroutine(ExecuteAfterTime(() =>
            {
                int index = levelProgression.GetCurrentSceneIndex();

                if (index == -1)
                {
                    UnityEngine.SceneManagement.SceneManager.LoadScene(levelProgression.GetCurrentSceneName());
                }
                else if (index < levelProgression.scenes.Count - 1)
                {
                    UnityEngine.SceneManagement.SceneManager.LoadScene(levelProgression.scenes[index + 1].sceneName);
                }
                else
                {
                    UnityEngine.SceneManagement.SceneManager.LoadScene(levelProgression.creditsScene);
                }
            }, fadeOutDuration));
        }
    }

    public static IEnumerator ExecuteAfterTime(System.Action action, float time)
    {
        yield return new WaitForSeconds(time);

        action();
    }
}
