﻿public class FocusHolder : UnityEngine.MonoBehaviour, IEyeFocusable
{
    protected float TimeHadFocus { get; set; }

    protected bool HasFocus { get; private set; }

    protected bool bHasFocusInternal;
    private float timeFocusChanged;

    protected virtual void Update()
    {
        if (bHasFocusInternal != HasFocus)
        {
            timeFocusChanged += UnityEngine.Time.deltaTime;
            if (timeFocusChanged > 0.2)
            {
                HasFocus = bHasFocusInternal;
                timeFocusChanged = 0.0f;
            }
        }

        TimeHadFocus = System.Math.Max(TimeHadFocus + (HasFocus ? 1 : -1) * UnityEngine.Time.deltaTime, 0);
    }

    protected void ResetFocusTimer()
    {
        TimeHadFocus = 0;
    }
    
    public void OnFocusChanged(bool hasFocus)
    {
        bHasFocusInternal = hasFocus;
    }
}