﻿[System.Serializable]
public class LevelScene
{
    public string sceneName;
    public UnityEngine.AudioClip levelStartClip;
}

public class LevelProgression : UnityEngine.ScriptableObject
{
    public System.Collections.Generic.List<LevelScene> scenes;

    public string mainMenuScene;
    public string creditsScene;

    public LevelScene GetCurrentScene()
    {
        return GetScene(GetCurrentSceneName());
    }

    public LevelScene GetScene(string sceneName)
    {
        return scenes.Find(scene => scene.sceneName == sceneName);
    }

    public int GetCurrentSceneIndex()
    {
        var sceneName = GetCurrentSceneName();
        return scenes.FindIndex(scene => scene.sceneName == sceneName);
    }

    public string GetCurrentSceneName()
    {
        return UnityEngine.SceneManagement.SceneManager.GetActiveScene().name;
    }
}