﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class MenuScript : MonoBehaviour
{
    public float fadeDuration;
    public LevelProgression levelProgression;

    // When start button is pressed
    public void OnStartGame()
    {
        CameraFade.StartFade(1.0f, fadeDuration);

        StartCoroutine(Exit.ExecuteAfterTime(() => SceneManager.LoadScene(levelProgression.scenes[0].sceneName), fadeDuration));
    }

    // When quit button is pressed
    public void OnQuitGame()
    {
        CameraFade.StartFade(1.0f, fadeDuration);

        StartCoroutine(Exit.ExecuteAfterTime(Application.Quit, fadeDuration));
    }

    // When credits button is pressed
    public void LoadCredits()
    {
        SceneManager.LoadScene(levelProgression.creditsScene);
    }
}