﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MusicController : MonoBehaviour
{
    public AudioSource musicSource;
    public AudioSource levelTextSource;
    public LevelProgression levelProgression;
    
    private List<string> audioPlayed;

    private static MusicController instance = null;
    public static MusicController Instance
    {
        get { return instance; }
    }
    void Awake()
    {
        if (instance != null) {
            Destroy(gameObject);
            return;
        }
        instance = this;

        audioPlayed = new List<string>();

        DontDestroyOnLoad(gameObject);

        UnityEngine.SceneManagement.SceneManager.sceneLoaded += OnSceneLoaded;
    }

    private void OnSceneLoaded(UnityEngine.SceneManagement.Scene scene, UnityEngine.SceneManagement.LoadSceneMode loadSceneMode)
    {
        var s = levelProgression.GetScene(scene.name);
        if (s != null && !audioPlayed.Contains(scene.name) && !levelTextSource.isPlaying)
        {
            levelTextSource.Stop();
            levelTextSource.clip = s.levelStartClip;
            levelTextSource.Play();
            audioPlayed.Add(scene.name);
        }
    }
}
