﻿using UnityEngine;

public class Projectile : MonoBehaviour
{
    public float speed;
    public GameObject spawnOnDeath;
    public GameObject spawnOnProjectileHit;

    private Rigidbody2D rBody;

    void Awake()
    {
        rBody = GetComponent<Rigidbody2D>();
    }

    public void SetVelocity(Vector2 dir)
    {
        var vel = dir * speed;

        rBody.velocity = vel;
    }

	void Update ()
	{
	    var vel = rBody.velocity;
	    if (vel.magnitude > 0.01f)
	    {
	        SetVelocity(vel.normalized);
	    }
	}

    void OnCollisionEnter2D(Collision2D coll)
    {
        if (spawnOnProjectileHit != null)
        {
            var normal = coll.contacts[0].normal;
            float angle = Mathf.Atan2(normal.y, normal.x)*Mathf.Rad2Deg;
            Instantiate(spawnOnProjectileHit, transform.position, Quaternion.Euler(Vector3.right * angle));
        }
    }

    public void Die()
    {
        if (spawnOnDeath)
        {
            Instantiate(spawnOnDeath, transform.position, transform.rotation);
        }

        Destroy(gameObject);
    }
}
